local STORAGE = 90012    --Storage.
local VALUE = 1      --Valor da storage acima.
local POS = {x = 437, y = 831, z = 8}   --Para onde será teleportado.
function onStepIn(cid, item, position, fromPosition)
    if not isPlayer(cid) then return true end
    if getPlayerStorageValue(cid, STORAGE) >= VALUE then
        doTeleportThing(cid, POS)
        doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "BEM-VINDO Á BOX 8!! BOA SORTE.")
        return true
    else
        return doPlayerSendCancel(cid, "É NECESSARIO TER FEITO BOX 7 QUEST PARA PASSAR POR AQUI!!.") and doTeleportThing(cid, fromPosition)
    end
    return true
end